Search & hashtags
GET/api/v2/search
Search
Query parameters
qstringrequiredtypestringresolvebooleanlimitintegeroffsetintegeraccount_idstring_pebooleanReturns
curl "https://pixelfed.social/api/v2/search?q=dansup&limit=5" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"accounts": [{
"id": "2",
"username": "dansup",
"acct": "dansup",
"display_name": "dansup",
"locked": false,
"bot": false,
"discoverable": true,
"followers_count": 318,
"following_count": 204,
"statuses_count": 96,
"note": "Harbour walks and film cameras.",
"url": "https://pixelfed.social/dansup",
"avatar": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg",
"avatar_static": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg",
"header": "https://pixelfed.social/storage/headers/missing.png",
"header_static": "https://pixelfed.social/storage/headers/missing.png",
"emojis": [],
"fields": [],
"created_at": "2024-03-02T15:20:11.000Z",
"last_status_at": null
}],
"hashtags": [{
"name": "marathon",
"url": "https://pixelfed.social/discover/tags/marathon"
}],
"statuses": []
}GET/api/v1/trends
Trending hashtags
Mastodon compatible User token Scope read
Returns
curl "https://pixelfed.social/api/v1/trends" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[]GET/api/v1/tags/{id}
Get a hashtag
Path parameters
idstringrequiredQuery parameters
_pebooleanReturns
curl "https://pixelfed.social/api/v1/tags/goldenhour" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"name": "goldenhour",
"url": "https://pixelfed.social/i/web/hashtag/goldenhour",
"history": [],
"following": true
}POST/api/v1/tags/{id}/follow
Follow a hashtag
Mastodon compatible User token
Path parameters
idstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1/tags/goldenhour/follow" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"name": "goldenhour",
"url": "https://pixelfed.social/i/web/hashtag/goldenhour",
"history": [],
"following": true
}POST/api/v1/tags/{id}/unfollow
Unfollow a hashtag
Mastodon compatible User token
Path parameters
idstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1/tags/goldenhour/unfollow" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"name": "goldenhour",
"url": "https://pixelfed.social/i/web/hashtag/goldenhour",
"history": [],
"following": false
}